<div class="post-preview">
    
    <ng-content></ng-content>

    <div class="post-meta">

        <ng-container *ngIf="displayWorld else noWorld">
            <app-icon className="icon-world"></app-icon>
            <b><a [routerLink]="'/w/'+post.worldUrl">{{post.worldTitle}}</a> : </b> 
            <span><a [routerLink]="'/e/'+post.eventUrl">{{post.eventTitle}}</a></span>
            <ul class="flex-list tags" *ngIf="post.worldTags">
                <li *ngFor="let t of post.worldTags"><a href="">#{{t}}</a></li>
            </ul>
        </ng-container>

        <ng-template #noWorld>
            <b><a class="grey" [routerLink]="'/u/'+post.username">{{post.username}}</a></b>
            <span class="blue"> @ </span>
            <b><a [routerLink]="'/e/'+post.eventUrl">{{post.eventTitle}}</a></b>
        </ng-template>
        
    </div>
</div>

